Lines Matching refs:dir

441 	dir=`$echo "X$libobj" | $Xsed -e 's%/[^/]*$%%'`
442 if test "X$dir" = "X$libobj"; then
443 dir="$objdir"
445 dir="$dir/$objdir"
447 libobj="$dir/"`$echo "X$libobj" | $Xsed -e 's%^.*/%%'`
449 if test -d "$dir"; then
453 $show "$mkdir $dir"
454 $run $mkdir $dir
456 if test $status -ne 0 && test ! -d $dir; then
1041 dir=`$echo "X$arg" | $Xsed -e 's/^-L//'`
1043 case "$dir" in
1046 absdir=`cd "$dir" && pwd`
1048 $echo "$modename: warning: cannot determine absolute directory name of \`$dir'" 1>&2
1050 absdir="$dir"
1052 dir="$absdir"
1060 *" $dir "*) ;;
1061 *) lib_search_path="$lib_search_path $dir";;
1065 dllsearchdir=`cd "$dir" && pwd || echo "$dir"`
1122 dir=`$echo "X$arg" | $Xsed -e 's/^-R//'`
1124 case "$dir" in
1132 *" $dir "*) ;;
1133 *) xrpath="$xrpath $dir" ;;
1236 dir="$libdir"
1238 dir=`$echo "X$arg" | $Xsed -e 's%/[^/]*$%%'`
1239 if test "X$dir" = "X$arg"; then
1240 dir="$objdir"
1242 dir="$dir/$objdir"
1274 convenience="$convenience $dir/$old_library"
1275 old_convenience="$old_convenience $dir/$old_library"
1277 compile_command="$compile_command $dir/$old_library$dependency_libs"
1278 finalize_command="$finalize_command $dir/$old_library$dependency_libs"
1304 dlprefiles="$dlprefiles $dir/$old_library"
1306 dlprefiles="$dlprefiles $dir/$linklib"
1317 *" $dir "*) ;;
1318 *) temp_rpath="$temp_rpath $dir" ;;
1323 case "$dir" in
1324 [\\/] | [A-Za-z]:[\\/]*) absdir="$dir" ;;
1326 absdir=`cd "$dir" && pwd`
1328 $echo "$modename: warning: cannot determine absolute directory name of \`$dir'" 1>&2
1330 absdir="$dir"
1362 compile_command="$compile_command $dir/$linklib"
1363 deplibs="$deplibs $dir/$linklib"
1366 dllsearchdir=`cd "$dir" && pwd || echo "$dir"`
1377 compile_shlibpath="$compile_shlibpath$dir:"
1381 *" -L$dir "*) ;;
1382 *) compile_command="$compile_command -L$dir";;
1385 deplibs="$deplibs -L$dir -l$name"
1388 *":$dir:"*) ;;
1389 *) compile_shlibpath="$compile_shlibpath$dir:";;
1449 *" -L$dir "*) ;;
1466 compile_command="$compile_command $dir/$linklib"
1467 finalize_command="$finalize_command $dir/$linklib"
1470 *" -L$dir "*) ;;
1471 *) compile_command="$compile_command -L$dir";;
1475 *" -L$dir "*) ;;
1476 *) finalize_command="$finalize_command -L$dir";;
2687 for dir in $temp_rpath; do
2688 case "$dir" in
2691 rpath="$rpath$dir:"
2695 rpath="$rpath\$thisdir/$dir:"
2715 for dir in $perm_rpath; do
2716 rpath="$rpath$dir:"
2723 for dir in $finalize_perm_rpath; do
2724 rpath="$rpath$dir:"
3324 dir="`$echo "X$file" | $Xsed -e 's%/[^/]*$%%'`/"
3325 test "X$dir" = "X$file/" && dir=
3326 dir="$dir$objdir"
3336 $show "$install_prog $dir/$realname $destdir/$realname"
3337 $run eval "$install_prog $dir/$realname $destdir/$realname" || exit $?
3364 instname="$dir/$name"i
3369 test -n "$old_library" && staticlibs="$staticlibs $dir/$old_library"
3540 for dir
3542 libdirs="$libdirs $dir"
3627 dir=
3655 dir=`$echo "X$file" | $Xsed -e 's%/[^/]*$%%'`
3656 test "X$dir" = "X$file" && dir=.
3658 if test -f "$dir/$objdir/$dlname"; then
3659 dir="$dir/$objdir"
3661 $echo "$modename: cannot find \`$dlname' in \`$dir' or \`$dir/$objdir'" 1>&2
3668 dir=`$echo "X$file" | $Xsed -e 's%/[^/]*$%%'`
3669 test "X$dir" = "X$file" && dir=.
3679 absdir=`cd "$dir" && pwd`
3680 test -n "$absdir" && dir="$absdir"
3684 eval "$shlibpath_var=\"\$dir\""
3686 eval "$shlibpath_var=\"\$dir:\$$shlibpath_var\""
3770 dir=`$echo "X$file" | $Xsed -e 's%/[^/]*$%%'`
3771 test "X$dir" = "X$file" && dir=.
3780 . $dir/$name
3784 rmfiles="$rmfiles $dir/$n"
3786 test -n "$old_library" && rmfiles="$rmfiles $dir/$old_library"
3822 rmfiles="$rmfiles $dir/$oldobj"